-- 基础信息
base_info = {
	group_id = 247004016
}

-- DEFS_MISCS
local GroupId = 247004016
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 16001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 16001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.976, y = 0.050, z = 320.039 } }
}

-- 触发器
triggers = {
	{ config_id = 1016001, name = "ENTER_REGION_16001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 16002, pos = { x = 76.041, y = 0.107, z = 327.706 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16003, pos = { x = 84.125, y = 0.105, z = 327.652 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16004, pos = { x = 80.020, y = 0.101, z = 328.597 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16005, pos = { x = 72.864, y = 0.121, z = 326.491 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 16006, pos = { x = 87.085, y = 0.115, z = 326.050 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 16007, pos = { x = 71.644, y = 0.105, z = 323.769 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 16008, pos = { x = 88.752, y = 0.110, z = 323.785 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 16009, pos = { x = 71.393, y = 0.100, z = 320.063 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 16010, pos = { x = 88.853, y = 0.108, z = 320.079 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 16011, pos = { x = 80.055, y = 0.115, z = 328.136 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 16012, pos = { x = 74.270, y = 0.126, z = 327.204 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 16013, pos = { x = 85.746, y = 0.100, z = 327.169 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 16014, pos = { x = 71.326, y = 0.108, z = 322.525 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 16015, pos = { x = 88.876, y = 0.106, z = 322.530 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 16016, pos = { x = 71.340, y = 0.102, z = 317.640 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 16017, pos = { x = 88.783, y = 0.101, z = 317.695 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 16018, pos = { x = 74.318, y = 0.100, z = 312.972 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 16019, pos = { x = 85.676, y = 0.100, z = 312.888 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 16020, pos = { x = 79.957, y = 0.100, z = 312.093 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 16021, pos = { x = 72.841, y = 0.142, z = 327.220 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 16022, pos = { x = 87.121, y = 0.117, z = 327.223 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 16023, pos = { x = 72.843, y = 0.100, z = 312.869 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 16024, pos = { x = 87.044, y = 0.100, z = 312.947 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 16025, pos = { x = 80.146, y = 0.117, z = 327.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 16026, pos = { x = 79.948, y = 0.100, z = 312.712 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 16027, pos = { x = 71.866, y = 0.101, z = 320.042 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 16028, pos = { x = 88.242, y = 0.103, z = 320.007 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 16029, pos = { x = 71.971, y = 0.102, z = 315.978 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 16030, pos = { x = 87.939, y = 0.109, z = 323.417 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 16031, pos = { x = 83.378, y = 0.100, z = 312.394 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 16032, pos = { x = 76.126, y = 0.126, z = 327.316 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 16001 },
		triggers = { "ENTER_REGION_16001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
